# Yonote Helm Chart

## Обзор

Этот Helm chart позволяет развернуть **Yonote** в Kubernetes. Он предоставляет быстрый и простой способ установки, настройки и управления приложением с помощью Helm.

## Требования

- Kubernetes cluster
- Helm
- Ingress Controller (nginx/traefik)
  
## Установка

### 1. Добавление репозиториев Helm

Перед установкой зависимостей, необходимо добавить репозитории, из которых будут загружаться чарты:

```bash
helm repo add dysnix https://dysnix.github.io/charts
helm repo add bitnami https://charts.bitnami.com/bitnami
helm repo update
```

### 2. Выполните сборку зависимостей Helm chart

```bash
helm dependency build
```

### 3. Настройка значений

Перед развертыванием приложения через Helm необходимо внести валидные значения в файлы values.yaml и secret-values.yaml. Эти файлы содержат параметры конфигурации, которые будут использованы при установке приложения.

Настройте необходимые параметры. В файлах values.yaml и secret-values.yaml вы найдете различные секции, каждая из которых соответствует определенной части конфигурации приложения. Внимательно изучите комментарии в этих файлах; они указывают на места, где необходимо внести изменения. Обратите особое внимание на секцию ingress, так как её настройка важна для правильной работы приложения. Вам потребуется заменить или настроить значения в этой секции в соответствии с вашими требованиями.

Более подробно ознакомиться с переменными вы можете по следующей ссылке: https://yo.yonote.ru/doc/peremennye-okruzheniya-mOI8Jl6B05

### 4. Запуск приложения

После настройки значений выполните команду:

```bash
helm install app -f values.yaml -f secret-values.yaml -n yonote-onprem .
```
После выполнения команды начнётся установка приложения и всех дополнительных сервисов к нему. Остаётся только подождать, пока все сервисы запустятся.

### Обратная связь

Если у вас есть вопросы или вам нужна помощь, пишите на email: hello@yonote.ru